<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>dev.lions</groupId>
        <artifactId>primefaces-freya-extension-parent</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>
    <artifactId>primefaces-freya-extension</artifactId>
    <name>PrimeFaces Freya Extension - Runtime</name>
    <dependencies>
        <dependency>
            <groupId>io.quarkiverse.primefaces</groupId>
            <artifactId>quarkus-primefaces</artifactId>
            <version>3.15.1</version>
        </dependency>
        <dependency>
            <groupId>org.primefaces</groupId>
            <artifactId>primefaces</artifactId>
            <version>14.0.0</version>
            <classifier>jakarta</classifier>
        </dependency>

        <dependency>
            <groupId>io.quarkus</groupId>
            <artifactId>quarkus-web-dependency-locator</artifactId>
        </dependency>
        <dependency>
            <groupId>org.primefaces</groupId>
            <artifactId>freya-theme</artifactId>
            <version>5.0.0-jakarta</version>
            <exclusions>
                <exclusion>
                    <groupId>org.primefaces</groupId>
                    <artifactId>primefaces</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.webjars.npm</groupId>
            <artifactId>primeflex</artifactId>
            <version>3.3.1</version>
        </dependency>
        <dependency>
            <groupId>org.webjars.npm</groupId>
            <artifactId>primeicons</artifactId>
            <version>7.0.0</version>
        </dependency>
        <dependency>
            <groupId>io.quarkus</groupId>
            <artifactId>quarkus-awt</artifactId>
        </dependency>
        <dependency>
            <groupId>io.quarkiverse.poi</groupId>
            <artifactId>quarkus-poi</artifactId>
            <version>2.0.5</version>
        </dependency>
        <dependency>
            <groupId>io.quarkiverse.itext</groupId>
            <artifactId>quarkus-itext</artifactId>
            <version>3.0.5</version>
        </dependency>
    </dependencies>
    <repositories>
        <repository>
            <id>local-maven-repo</id>
            <url>file://${project.basedir}/../../maven-repo</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>
    <build>
        <plugins>
            <!-- Pas besoin de quarkus-extension-maven-plugin pour un simple JAR de ressources -->
        </plugins>
    </build>
</project>
